$color-primary: #7D69E2;
$color-secondary: #32328A;
$bg-blue-light: #DCE8F4;



.bg-blue-light{
	background-color: $bg-blue-light !important;
}

.banner{
	height: 360px;
	width: 100%;	
	background-size: cover;
	background-position: top center;
  border-radius: 2rem;
  padding: 3.5rem;
    
  h1{
    font-size: 1.3rem;
    color: #fff;
    margin-bottom: 1.5rem;

      span{
        font-size: 1.2rem;
      }
  }

  img{
    width: 120px;
    height: auto;
  }
}

.card{
  background-color: #fff;
  border-radius: 1rem;
  border: none;
  box-shadow: 0px 9px 27px -8px rgba(0,0,0,0.23);
  margin-bottom: 1.25rem;

    .more-info{
      color: #C8C8C8;
      margin-bottom: 0;
      padding: 1.2rem 1.5rem;
    }

    .icon-weather{
      height: 80px;
			width: 80px;
			background-color: $bg-blue-light;
      border-radius: 1rem;
      text-align: center;
      line-height: 65px;
      
      img{
        width: 35px;
        height: auto;
        position: relative;
        z-index: 99;
        margin: 0 auto;
      }
    }

    .info-tempe-city{
      padding: 0rem 1.5rem;

      p{
        margin-bottom: 0;
      }

      .temperature{
        font-size: 2.35rem;
        margin-right: 16px;
        font-weight: 500;

        &::after{
          content: "°C";
          position: absolute;
          color: #999;
          font-weight: 500;
          top: 23px;
          font-size: .9rem;
        
        }
      }

      .divider-height{
        height: 34px;
      }

      .city{
        font-size: .85rem;
        line-height: 1;

        strong{
          font-size: 1.2rem;
        }
      }
    }
}

.card-add-location{
  background-color: #fff;
  border: dashed 3px #C8C8C8;
  border-radius: 1rem;
  text-align: center;

  .btn-add-location{
    display: block;
    background-color: #EFEFFA;
    border: none;
    padding: .55rem 2.5rem;
    border-radius: 20px;
    color: $color-secondary;
    font-weight: 500;
    margin: 1.75rem auto;

    &:focus{
      outline: none;
    }

    &:hover{
      box-shadow: -1px 4px 13px -4px rgba(0,0,0,0.23);
    }

  }

  img{
    width: 200px;
    height: auto;
  }
}

.divider-height{
  height: 26px;
  margin: 0 .75rem;
  overflow: hidden;
  border-left: 2px solid #e9e9e9;
}

.container-main{
	width: 100%;
	padding-right: 1.5rem;
	padding-left: 1.5em;
	margin-right: auto;
	margin-left: auto;
}

.content-forecast{
	border: solid 1px #ccc;
	border-radius: 1rem;
	background-color: #fff;
	box-shadow: 13px 14px 65px -30px rgba(0,0,0,0.3);
	margin-bottom: .75rem;

		p{
			line-height: normal;

			span{
				color: #888;
			}
		}

		.img{
			width: 30px;
			height: 30px;
		}

		.temperature{
			width: 84px;
			height: 84px;
			border: solid 1px $color-primary;
			background-color: $color-primary;
			border-radius: 1rem;
			margin-top: -1px;
			margin-right: -1px;
			margin-bottom: -1px;
			color: #fff;
			text-align: center;
			font-size: .9rem;
			line-height: 84px;
		}

		.temperature-old{
			border: solid 1px $bg-blue-light;
			background-color: $bg-blue-light;
			color: #111;			
		}
}

.country{
	width: 100%;
	background-position: center;
	background-size: cover;
	border-radius: 2rem;
	height: 276px;
	padding: .75rem 1rem;

		h6{
			color: #fff;
		}
}

.country-minimal{
	height: 85px;
	margin-bottom: 25px;
}

.country-button{
	height: 166px;
	position: relative;

	.btn-add{
		position: absolute;
		background-color: $color-primary;
		color: #fff;
		width: 55px;
		height: 100%;
		border: none;
		border-radius: 2rem;
		top: 0;
		right: 0;

		&::before{
			font-family: "Material Icons" !important;
			content: "\e145";
    }
    
    &:focus{
      outline: none;
    }

    &:hover{
      box-shadow: 10px 10px 21px -5px rgba(0,0,0,0.27);
    }

	}
}

.top-config{
  margin-top: -100px;
}

.weather-today{
	top: 9rem;
	position: absolute;
	height: 166px;
	width: 83px;
	background-color: $color-primary;
	border-radius: 0 1rem 1rem 0;
	box-shadow: 13px 36px 92px -3px rgba(0,0,0,0.4);

		.icon-weather{
			height: 83px;
			width: 83px;
			background-color: $color-secondary;
      border-radius: 0 1rem 1rem 1rem;
      text-align: center;
      padding: 10px 2px;
      
      img{
        width: 40px;
        height: auto;
        position: relative;
        z-index: 99;
        margin: 0 auto;
      }

      p{
        margin-bottom: 0;
        color: #fff;
        font-size: .75rem;
      }

			&::after{
				content: "";
				position: absolute;
				top: -36px;
				left: -7px;
				width: 42px;
				height: 30px;
				border-radius: 50%;
				transform: rotate(96deg);
				box-shadow: 30px 10px 0 #32328A;
			}
    }
    
    .temperature-bogota{
      font-size: 2.5rem;
      position: relative;
      margin-bottom: 0;
      text-align: center;
      padding: 8px;
      margin-right: 16px;
      color: #fff;
      font-weight: 500;

      &::after{
        content: "°C";
        position: absolute;
        top: 18px;
        font-size: 1rem;
      
      }
    }		
}

@media (min-width: 992px) {
  .container-main{
    padding-right: 3rem;
    padding-left: 3rem;
  }
  
}

@media (min-width: 1200px) { 
  .top-config{
    margin-top: -161px;
  }
  
}
